Subject: Fwd: Tegra 30 System hangs because of commit "pinctrl: move subsystem mutex to pinctrl_dev struct"

From: [email-masked] (Rob Herring)
Date: Tue, 14 May 2013 15:39:00 -0500

On 05/09/2013 12:51 PM, Fathi Boudra wrote:
> On 9 May 2013 19:13, Olof Johansson <[email-masked]> wrote:
>> On Thu, May 9, 2013 at 6:25 AM, Grant Likely <[email-masked]> wrote:
>>> On Mon, May 6, 2013 at 9:12 PM, Linus Walleij <[email-masked]> wrote:
>>>> On Mon, May 6, 2013 at 9:54 PM, Russell King - ARM Linux
>> Yes, a builder is quite useful. Several of us do our own builds as well.
>>
>> When it comes to boot coverage, I'm not sure how successful a central
>> approach would be. It's something where I think Linaro could
>> contribute a lot for their member platforms, but I haven't seen much
>> engagement there yet.
> 
> My previous post was lost. Sorry to repost..
> 
> We've got a jenkins instance doing daily builds on various trees and
> boot testing on the few boards we've got in the lab:
> https://ci.linaro.org/jenkins/view/kernel-ci/
> 
> But it hasn't attracted much interest so far... It's been here since a year.

Perhaps because there is no useful information there that I can find.
Where does it say what failed in the build? I see no artifacts or useful
console output.

It seems it was designed with Linaro's needs in mind and not kernel
maintainers' needs.

Rob

> 
>> Beyond there, I'd say the expectation is that each maintainer should
>> keep an eye on their own platforms. They _should_ try building and
>> booting linux-next on their platforms, to catch regressions early. And
>> definitely around now, I'd like to see people boot mainline on their
>> platforms to make sure we haven't added any severe regressions in the
>> 3.10 merge window, etc. Some people are really good at this, others
>> less so.
>>
>> What's the old saying, you can lead a horse to water but you can't
>> make him drink? You can build a boot test cluster but you can't make
>> anyone pay attention to it. :(
>>
>> -Olof
> 
> Cheers,
> 
> Fathi
> 
> _______________________________________________
> linux-arm-kernel mailing list
> linux-arm-kernel at lists.infradead.org
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>